/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.placeholder;

import org.tinygroup.placeholder.config.Validators;
import org.tinygroup.vfs.FileObject;

/**
 * 占位符处理器
 * @author luoguo
 *
 */
public interface PlaceholderProcessor {
	/**
	 * 添加属性文件
	 * @param fileObject
	 */
	void addProperties(FileObject fileObject);

	/**
	 * 添加规则文件
	 * @param validators
	 */
	void addValidators(Validators validators);

	/**
	 * 对字符串进行处理
	 * @param string
	 * @return
	 */
	String processString(String string);

	/**
	 * 对文件处理处理
	 * @param fileObject
	 * @return
	 */
	void processFileObject(FileObject fileObject);

}
